Bug 158548 - [PATCH] fix graphics/svgalib to build using clang
Summary: [PATCH] fix graphics/svgalib to build using clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-01 01:00 UTC by Niclas Zeising
Modified: 2011-07-14 17:00 UTC (History)
0 users

See Also:


Attachments
graphics.svgalib.clangfix.diff (4.37 KB, patch)
2011-07-01 01:00 UTC, Niclas Zeising
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Niclas Zeising 2011-07-01 01:00:20 UTC

Fix: Attached patch makes graphics/svgalib build using clang. It changes a number of main functions in what I assume is utility programs to return int instead of void, as per the C standard.
Comment 1 Martin Wilke freebsd_committer 2011-07-01 13:55:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2011-07-12 05:41:30 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to pool at assignee request for the moment.
Comment 3 Tilman Keskinoz freebsd_committer 2011-07-14 16:54:35 UTC
State Changed
From-To: open->closed

committed, thanks
Comment 4 dfilter service freebsd_committer 2011-07-14 16:54:40 UTC
arved       2011-07-14 15:54:25 UTC

  FreeBSD ports repository

  Modified files:
    graphics/svgalib/files patch-utils-gtf-gtfcalc.c 
  Added files:
    graphics/svgalib/files patch-utils-convfont.c 
                           patch-utils-fix132x43.c 
                           patch-utils-restorefont.c 
                           patch-utils-restorepalette.c 
                           patch-utils-restoretextmode.c 
                           patch-utils-setmclk.c 
  Log:
  Fix build with clang
  
  PR:             158548
  Submitted by:   Niclas Zeising
  
  Revision  Changes    Path
  1.1       +11 -0     ports/graphics/svgalib/files/patch-utils-convfont.c (new)
  1.1       +11 -0     ports/graphics/svgalib/files/patch-utils-fix132x43.c (new)
  1.2       +11 -2     ports/graphics/svgalib/files/patch-utils-gtf-gtfcalc.c
  1.1       +11 -0     ports/graphics/svgalib/files/patch-utils-restorefont.c (new)
  1.1       +11 -0     ports/graphics/svgalib/files/patch-utils-restorepalette.c (new)
  1.1       +11 -0     ports/graphics/svgalib/files/patch-utils-restoretextmode.c (new)
  1.1       +13 -0     ports/graphics/svgalib/files/patch-utils-setmclk.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"